Package com.databricks.jdbc.dbclient.impl.common

## Class CommandConstants

- java.lang.Object
- - com.databricks.jdbc.dbclient.impl.common.CommandConstants

    public class CommandConstants
    extends Object

### Field Summary

Fields
`static String` `GET_CATALOGS_STATEMENT_ID`
`static String` `GET_FUNCTIONS_STATEMENT_ID`
`static String` `GET_TABLE_TYPE_STATEMENT_ID`
`static String` `GET_TABLES_STATEMENT_ID`
`static String` `IN_ABSOLUTE_SCHEMA_SQL`
`static String` `IN_ABSOLUTE_TABLE_SQL`
`static String` `IN_ALL_CATALOGS_SQL`
`static String` `IN_CATALOG_SQL`
`static String` `LIKE_SQL`
`static String` `METADATA_STATEMENT_ID`
`static String` `SCHEMA_LIKE_SQL`
`static String` `SHOW_CATALOGS_SQL`
`static String` `SHOW_COLUMNS_SQL`
`static String` `SHOW_FOREIGN_KEYS_SQL`
`static String` `SHOW_FUNCTIONS_SQL`
`static String` `SHOW_PRIMARY_KEYS_SQL`
`static String` `SHOW_SCHEMAS_IN_ALL_CATALOGS_SQL`
`static String` `SHOW_SCHEMAS_IN_CATALOG_SQL`
`static String` `SHOW_TABLE_TYPES_SQL`
`static String` `SHOW_TABLES_IN_ALL_CATALOGS_SQL`
`static String` `SHOW_TABLES_SQL`
`static String` `TABLE_LIKE_SQL`

### Constructor Summary

Constructors
`CommandConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### METADATA_STATEMENT_ID

    public static final String METADATA_STATEMENT_ID

See Also:
  Constant Field Values

#### GET_TABLES_STATEMENT_ID

    public static final String GET_TABLES_STATEMENT_ID

See Also:
  Constant Field Values

#### GET_CATALOGS_STATEMENT_ID

    public static final String GET_CATALOGS_STATEMENT_ID

See Also:
  Constant Field Values

#### GET_TABLE_TYPE_STATEMENT_ID

    public static final String GET_TABLE_TYPE_STATEMENT_ID

See Also:
  Constant Field Values

#### GET_FUNCTIONS_STATEMENT_ID

    public static final String GET_FUNCTIONS_STATEMENT_ID

See Also:
  Constant Field Values

#### SHOW_CATALOGS_SQL

    public static final String SHOW_CATALOGS_SQL

See Also:
  Constant Field Values

#### SHOW_TABLE_TYPES_SQL

    public static final String SHOW_TABLE_TYPES_SQL

See Also:
  Constant Field Values

#### IN_CATALOG_SQL

    public static final String IN_CATALOG_SQL

See Also:
  Constant Field Values

#### IN_ABSOLUTE_SCHEMA_SQL

    public static final String IN_ABSOLUTE_SCHEMA_SQL

See Also:
  Constant Field Values

#### IN_ABSOLUTE_TABLE_SQL

    public static final String IN_ABSOLUTE_TABLE_SQL

See Also:
  Constant Field Values

#### IN_ALL_CATALOGS_SQL

    public static final String IN_ALL_CATALOGS_SQL

See Also:
  Constant Field Values

#### SHOW_SCHEMAS_IN_CATALOG_SQL

    public static final String SHOW_SCHEMAS_IN_CATALOG_SQL

See Also:
  Constant Field Values

#### LIKE_SQL

    public static final String LIKE_SQL

See Also:
  Constant Field Values

#### SCHEMA_LIKE_SQL

    public static final String SCHEMA_LIKE_SQL

See Also:
  Constant Field Values

#### TABLE_LIKE_SQL

    public static final String TABLE_LIKE_SQL

See Also:
  Constant Field Values

#### SHOW_TABLES_SQL

    public static final String SHOW_TABLES_SQL

See Also:
  Constant Field Values

#### SHOW_TABLES_IN_ALL_CATALOGS_SQL

    public static final String SHOW_TABLES_IN_ALL_CATALOGS_SQL

See Also:
  Constant Field Values

#### SHOW_COLUMNS_SQL

    public static final String SHOW_COLUMNS_SQL

See Also:
  Constant Field Values

#### SHOW_FUNCTIONS_SQL

    public static final String SHOW_FUNCTIONS_SQL

See Also:
  Constant Field Values

#### SHOW_SCHEMAS_IN_ALL_CATALOGS_SQL

    public static final String SHOW_SCHEMAS_IN_ALL_CATALOGS_SQL

See Also:
  Constant Field Values

#### SHOW_PRIMARY_KEYS_SQL

    public static final String SHOW_PRIMARY_KEYS_SQL

See Also:
  Constant Field Values

#### SHOW_FOREIGN_KEYS_SQL

    public static final String SHOW_FOREIGN_KEYS_SQL

See Also:
  Constant Field Values

### Constructor Detail

#### CommandConstants

    public CommandConstants()